summaryrefslogtreecommitdiff
path: root/yosys-config.in
diff options
context:
space:
mode:
authorClifford Wolf <clifford@clifford.at>2013-03-06 11:58:07 +0100
committerClifford Wolf <clifford@clifford.at>2013-03-06 11:58:07 +0100
commitb380af9d6d49ad4a7a944eb02abd3fa222f383a3 (patch)
tree38864a545a919e8f7bd5318fd0023eaf2027b5de /yosys-config.in
parent14c097b633c168e912312a98b34d90f2120fcb63 (diff)
Added support for loadable modules (aka plugins)
Diffstat (limited to 'yosys-config.in')
-rw-r--r--yosys-config.in30
1 files changed, 30 insertions, 0 deletions
diff --git a/yosys-config.in b/yosys-config.in
new file mode 100644
index 00000000..d67d881c
--- /dev/null
+++ b/yosys-config.in
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+help() {
+ { echo; echo "Usage: $0 { --cxx | --cxxflags | --ldflags | --ldlibs }"; } >&2
+ exit 1
+}
+
+if [ $# -eq 0 ]; then
+ help
+fi
+
+for opt; do
+ case "$opt" in
+ --cxx)
+ echo -n '@CXX@ ' ;;
+ --cxxflags)
+ echo -n '@CXXFLAGS@ ' ;;
+ --ldflags)
+ echo -n '@LDFLAGS@ ' ;;
+ --ldlibs)
+ echo -n '@LDLIBS@ ' ;;
+ --help|-\?)
+ help ;;
+ *)
+ echo -n "$opt "
+ esac
+done
+echo
+
+exit 0